aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-agl-kci-publish-build-meta.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/jjb/common/include-agl-kci-publish-build-meta.sh b/jjb/common/include-agl-kci-publish-build-meta.sh
new file mode 100644
index 00000000..da36d4c7
--- /dev/null
+++ b/jjb/common/include-agl-kci-publish-build-meta.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+echo "\n\n\n"
+echo "#########################################"
+echo "\n\n\n"
+
+kci-publish() {
+ # check GERRIT_PROJECT to find if we build an app or not
+ echo $GERRIT_PROJECT |grep -q apps
+ if [ $? -eq 0 ];then
+ # for app
+ BUILD_VERSION="AGL-app-gerrit-$GERRIT_CHANGE_NUMBER-$GERRIT_PATCHSET_NUMBER"
+ else
+ # for release
+ BUILD_VERSION="AGL-gerrit-$RELEASE_BRANCH-$RELEASE_VERSION"
+ fi
+
+ echo "DEBUG: generate bmeta for kernelCI"
+ echo "DEBUG: machine ${TARGETMACHINE}"
+ echo "DEBUG: build_version $BUILD_VERSION"
+ echo "DEBUG: commit $DIST_BUILD_HASH"
+ echo "DEBUG: arch $TARGETARCH"
+ echo "DEBUG: branch $GERRIT_BRANCH"
+ return 0
+ ./agl-publish.py --machine ${TARGETMACHINE} \
+ --build_version $BUILD_VERSION \
+ --commit $DIST_BUILD_HASH \
+ --arch $TARGETARCH \
+ --branch $GERRIT_BRANCH
+}
+
+kci-publish